<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
* Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
* Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Java Platform Manager Dialog Box</title>
	<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Java Platform Manager Dialog Box</h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small> 
<p>The Java Platform Manager is a tool for registering different versions of
	the Java Development Kit (JDK) and other Java tools that your programs depend
	on. The  dialog box lists all of your registered JDKs
	in the left pane and lists the JDK that the IDE is running on  as the Default
	Platform.
<p>You can open the dialog box by choosing Tools &gt; Java Platforms. 
<ul class="note"> 
    <li> You can  set the IDE's default platform by running the IDE with
    	the <tt>--jdkhome</tt> 
      switch on the command line or by entering the path to the JDK in the <tt>netbeans_jdkhome</tt> 
      property of your <tt><i>INSTALLATION_DIRECTORY</i>/etc/netbeans.conf</tt> 
      file.</li>
</ul>

<p>Using the Java Platform Manager, you can: 
<ul>
  <li>Register a new Java platform. Directories that contain JDKs
	are marked with an <img src="../../images/platform.gif" width="18" height="16" alt="platform directory">&nbsp;icon
	 in the file chooser. <br>
	Select <a href="proj_add_java_platform.html">Add Platform</a> to add a new Java Platform. </li>
    <li>View registered JDK's classpaths.</li>
   <li>Register source code for a JDK in the Sources
  	 tab.</li>
   <li>Register Javadoc documentation 
	 	for a JDK in the  Javadoc tab.</li>
   <li>Enable JavaFX for the Java platform in the JavaFX tab. Enter the path to the
   JavaFX SDK and JavaFX Runtime in this tab.
   <ul class="note">
       <li>You cannot enable JavaFX for the default Java platform. You must register and enable another Java platform. However, you can register the same JDK sources more than once. Therefore you can register the same JDK sources as the default Java platform uses and enable JavaFX for this new platform.</li>
   </ul></li>
</ul>
<p>Once you have registered a JDK, you can configure a standard project to use
	 that JDK for compilation, execution, and debugging. Go to the project's Project
	 Properties dialog box, select the Libraries node, and choose the appropriate
	JDK in the Java Platform combo box. 
<p><b>Notes:</b>
<ul>

<li>For free-form projects, you have to set the target JDK in your Ant script.
	 To configure the IDE to show the correct JDK's classes for code completion,
	 Javadoc documentation, and source files, you must register the JDK in the
	 Java Platform Manager dialog box. Then go to the project's Project Properties
  dialog box, click Sources, and set Source/Binary Format to the correct JDK. </li>
<li>
For Java ME MIDP and CDC projects, you can add emulators and SDK platforms for mobile devices. You also use the Java Platform Manager to take advantage of special
	tools and extensions of each platform you install. For more information, see <a href="nbdocs://org.netbeans.modules.mobility.javahelp/org/netbeans/modules/mobility/project/docs/emulator/emulator_adding.html">Mobility Pack: Adding
	Emulator Platforms</a>. </li>
</ul>
<dl> 
  <dt><a name="seealso">See Also</a></dt>
  <dd><a href="../proj_jdk.html">Setting the Target JDK in a Project</a></dd>
<dd><a href="../../javadoc/javadoc_add.html">Adding 
    Javadoc to a Project</a></dd>
  <dd><a href="../../javadoc/show_in_editor.html">Viewing Javadoc Documentation</a></dd>
  <dd><a href="../../debug/debug_step.html">Stepping Through Your Program</a></dd>
  <dd><a href="../../project/proj_stand_about.html">About Standard Projects</a></dd>
  <dd><a href="../proj_free_about.html">About Free-Form Projects</a></dd>
</dl>
<hr>
<small><a href="../../credits.html">Legal Notices</a></small> 
<table border="0" cellpadding="50">
  <tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
